--- IsoEngine.pas.orig	Fri Apr 19 11:47:28 2013
+++ IsoEngine.pas	Fri Apr 19 11:38:20 2013
@@ -106,6 +106,12 @@
 MaskLine: array[0..32*3-1] of ^TLine; // 32 = assumed maximum for yyt
 Border: boolean;
 begin
+if xxtNew=33 then
+  FoW := False
+else
+  FoW := True;
+xxtNew:=33;
+yytNew:=16;
 result:=false;
 HGrTerrainNew:=LoadGraphicSet(Format('Terrain%dx%d',[xxtNew*2,yytNew*2]));
 if HGrTerrainNew<0 then
@@ -1135,7 +1141,7 @@
 var
 dx,dy,xm,ym,ALoc,BLoc,ATer,BTer,Aix,bix:integer;
 begin
-FoW:=true;
+// FoW:=true;
 ShowLoc:=Options and (1 shl moLocCodes)<>0;
 ShowDebug:= pDebugMap>=0;
 ShowObjects:= (CityOwner>=0) or (Options and (1 shl moBareTerrain)=0);
--- Term.pas.orig	Fri Apr 19 11:47:22 2013
+++ Term.pas	Fri Apr 19 12:04:50 2013
@@ -376,6 +376,7 @@
 MyData: ^TPersistentData;
 AdvIcon:array[0..nAdv-1] of integer; {icons displayed with the technologies}
 xxt,yyt, // half of tile size x/y
+loadFoW,
   GameMode,ClientMode,Age,UnFocus,OptionChecked,MapOptionChecked,nLostArmy,
   ScienceSum,TaxSum,SoundPreloadDone,MarkCityLoc,HGrTerrain,HGrCities,
   MovieSpeed: integer;
@@ -1302,8 +1303,10 @@
   for x:=0 to 11 do for y:=0 to 1 do
     MiniColors[x,y]:=GrExt[HGrSystem].Data.Canvas.Pixels[66+x,67+y];
   IsoEngine.Init(InitEnemyModel);
-  if not IsoEngine.ApplyTileSize(xxt,yyt) and ((xxt<>48) or (yyt<>24)) then
-    ApplyTileSize(48,24); // non-default tile size is missing a file, switch to default
+  if loadFoW=1 then ApplyTileSize(32,16) else ApplyTileSize(33,16);
+
+
+
   MainMap:=TIsoMap.Create;
   MainMap.SetOutput(offscreen);
 
@@ -3010,6 +3013,7 @@
   try
     xxt:=Reg.ReadInteger('TileWidth') div 2;
     yyt:=Reg.ReadInteger('TileHeight') div 2;
+    loadFoW:=Reg.ReadInteger('FogOfWar');
     OptionChecked:=Reg.ReadInteger('OptionChecked');
     MapOptionChecked:=Reg.ReadInteger('MapOptionChecked');
     CityRepMask:=cardinal(Reg.ReadInteger('CityReport'));
@@ -3023,8 +3027,9 @@
 Reg.Free;
 if doinit then
   begin
-  xxt:=48;
-  yyt:=24;
+  xxt:=33;
+  yyt:=16;
+  loadFoW:=1;
   OptionChecked:=DefaultOptionChecked;
   MapOptionChecked:=1 shl moCityNames;
   CityRepMask:=cardinal(not chPopIncrease and not chNoGrowthWarning and not chCaptured);
@@ -6243,8 +6248,8 @@
         mDebugMap.Add(m);
         end
     end;
-  mSmallTiles.Checked:= xxt=33;
-  mNormalTiles.Checked:= xxt=48;
+  mSmallTiles.Checked:= loadFoW=0;
+  mNormalTiles.Checked:= loadFoW=1;
   end
 else if Popup=StatPopup then
   begin
@@ -6830,11 +6835,13 @@
 procedure TMainScreen.mSmallTilesClick(Sender: TObject);
 begin
 SetTileSize(33,16);
+loadFoW := 0;
 end;
 
 procedure TMainScreen.mNormalTilesClick(Sender: TObject);
 begin
-SetTileSize(48,24);
+SetTileSize(32,16);
+loadFoW := 1;
 end;
 
 procedure TMainScreen.SetTileSize(x,y: integer);
@@ -6867,6 +6874,7 @@
 Reg.OpenKey('SOFTWARE\cevo\RegVer9',true);
 Reg.WriteInteger('TileWidth',xxt*2);
 Reg.WriteInteger('TileHeight',yyt*2);
+Reg.WriteInteger('FogOfWar',loadFoW);
 Reg.WriteInteger('OptionChecked', OptionChecked);
 Reg.WriteInteger('MapOptionChecked', MapOptionChecked);
 Reg.WriteInteger('CityReport',integer(CityRepMask));
